CRA is pleased to extend a warm
welcome to Andy Bernat, who
became its new Executive Director
on August 1. Bernat succeeds
William Aspray, who has accepted 
an academic position at Indiana
University.

CRA board chair, James Foley,
describes Andy as “the perfect fit for
CRA: he has experience with
research, with CS departmental
issues, with government research
agencies, with fund-raising, with
Congress and Congressional testi-
mony, and in working with a board.
The CRA board of directors looks
forward to working with Andy 
and the entire computing research
community to continue moving 
CRA forward.” 

Bernat brings to the job a wide
range of experience and accomplish-
ments. He was a founding member of
the Computer Science Department at
the University of Texas El Paso, and
as chair built the department into
one of the country’s strongest com-
puter science departments at a minor-
ity-serving institution. He headed the
National Science Foundation-funded
Model Institutions for Excellence
program, which created dramatic

improvements in student retention
and achievement across the UTEP
campus. He has co-chaired the
Coalition to Diversify Computing, an
organization sponsored by ACM,
CRA, and the IEEE Computer
Society to increase the participation
of underrepresented minorities in the
computing profession. For his many
contributions in advancing under-
represented groups in the computing
field, CRA awarded Bernat the A.
Nico Habermann Award in 1997.

Pursuing his strong interest in aca-
demic reform and development for
the computing field, Bernat recently
completed his second year as a pro-
gram officer in the Division of
Undergraduate Education at the
National Science Foundation while
on leave from UTEP. He was respon-
sible for the computer science under-
graduate education programs at NSF
and also directed the Scholarship for
Service Program in information assur-
ance and security, which is a compo-
nent of the federal CyberCorps
program. He has been active for
many years as an author, lecturer,
reviewer, and panelist for government
and professional organizations includ-
ing the U.S. Army, NASA, NSF, and

the Computer Science Accreditation
Board. He has organized a series 
of workshops between U.S. and
Mexican computer science
researchers. Bernat received a B.S. in
physics from Harvey Mudd College
in 1970 and a doctorate in astronomy
from the University of Texas at
Austin in 1976.

William Aspray, the outgoing
executive director of CRA, said of
Bernat: “I am delighted with Andy’s
selection as my successor. He has the
energy, enthusiasm, contacts, drive,
analytical skills, and experience to
work with the CRA board to carry
the organization to a new level of
accomplishment and to make the
good works of CRA much more
widely known.”

Reflecting on his new job, Bernat
commented: “What a truly great
opportunity—to join the people and
organization working to enhance and
promote the computing research
field, the basis for our modern society
and economy. And what a great time
to join—Bill Aspray has taken the
association to a new level of status
and achievement, giving us a spring-
board to further success.”

In comments made at CRA’s
Conference at Snowbird 2002,
Bernat indicated his goals for CRA
include providing better support for,
and achieving better recognition
from, its various communities.

CRA Welcomes New Executive Director
Appropriations Kick Off with Good News
for Researchers
By Peter Harsha

The first appropriations bills to
emerge from Congressional appropri-
ations committees this session
indicate increasing support for feder-
ally sponsored fundamental research.
House and Senate consideration of
the President’s proposal to create a
new, cabinet-level Department of
Homeland Security had delayed
action on most of the 13 annual
appropriations bills necessary to fund
the federal government. However, by
the August recess Senate appropria-
tors had reported a bill (S. 2797) that
would significantly increase the
research budget of the National
Science Foundation (NSF), and both
the House and Senate appropriations
committees had approved increases
to science and technology funding at
the Department of Defense (DOD). 

In late July, the Senate
Appropriations Subcommittee on
Veterans Affairs, Housing and Urban
Development, and Independent

Agencies (VA-HUD) approved an
increase of $564 million in NSF’s
overall FY 2003 budget, an increase
of 11.8 percent over FY 2002.
Included is a $533 million increase in
NSF’s core research account, nearly
15 percent over FY 2002 and enough
to put the agency on pace to double
its research budget in five years. 

Of particular interest to the com-
puting research community is the
panel’s approval of an increase of
nearly 20 percent in NSF’s Computer
and Information Science and
Engineering directorate over the FY
2002 level. Under the Senate plan,
CISE’s budget would increase to $617
million for FY 2003, $90 million
more than the amount requested in
the President’s FY 2003 budget. Of
that $90 million increase, $80 mil-
lion is slated for additional research
funding. The remaining $10 million
would fund the Terascale Computing
Program, which is being transferred
to CISE from NSF’s Major Research
Equipment and Facilities account at a

reduced funding level from the $20
million requested by the President.

In the Committee Report
accompanying the VA-HUD
Appropriations legislation, the
Committee also directed NSF to
spend $25 million of the approved
increase for cyber security research
and an additional $15 million of the
increase for advanced broadband
research. The report also noted 
that while the Nation remains 
vulnerable to cyber-attacks on 
critical components of the national
infrastructure, the private sector has
had little incentive to invest in 
cyber security, and “the Federal
Government has not filled the gap,
but instead has chronically underin-
vested in cyber security.” As a result,
the report continued, “What little
research has been done on cyber
security has been incremental, leav-
ing the basic approaches to cyber
security unchanged for decades.” 
The Collaborative Research
Experiences for Women in Computer
Science and Engineering (CREW)
program awards have been made 
for 2002. 

A total of 46 women will be
sponsored as research participants at
19 colleges and universities for the
upcoming 2002-03 academic year.
The projects range in scope from an
exploration of weather prediction
through clustered computing, to the
development of an intelligent

controller for an autonomous walk-
ing machine, to steganographic
image processing.

All of the funded projects include
a research component in the area of
computer science or computer engi-
neering. In addition, the proposals
describe how the students will be
able to take a collaborative approach
to working on their project and also
get experience in all aspects of
research, from initial background
research to writing up final results.

This will be the fifth year of the
CREW program, which is sponsored
by the CRA-W committee. Funding
for this year’s group is provided by
USENIX and the NPACI Education,
Outreach and Training program.
Further information about the pro-
gram, including the projects that
have been funded, can be found at
http://www.cra.org/Activities/craw/
crew. Proposals for next year’s
projects will be due in early 
June 2003.
CREW Announces 2002 Awards

Students Receive CRA Awards at
International Conference

Pictured above are the students who attended CRA’s Outstanding Undergraduate awards
presentation on June 24 at the 2002 International Multiconference in Computer Science in
Las Vegas. (l to r) Frank Apap, Columbia University, Honorary Mention; Allegra Angus, Cornell
University, Outstanding Female Undergraduate award; Sara Su, University of Washington,
Female Runner-Up award; William Aspray, CRA Executive Director, who presented the
awards; Adam Stubblefield, Rice University, Outstanding Male Undergraduate award; and
Shirley Gaw, University of Washington, Honorary Mention. 

In addition to those attending the awards ceremony, Alexander Fabrikant, UC Berkeley,
received the Male Runner-Up award, and 38 students received Honorary Mention (see
http://www.cra.org/Activities/awards/undergrad/02.html).

CRA is grateful to Hamid Arabnia (Professor, University of Georgia Department of Computer
Science and Editor-in-Chief, The Journal of Supercomputing), chair of  the 2002 International
Multiconference in Computer Science, for his assistance in arranging the presentations and
for providing photos of the event.

Photo courtesy of The 2002 International MultiConference in Computer Science.

CRA Outstanding
Undergraduate Awards

2003

Deadline:  October 21, 2002

Nomination Details available at:

http://www.cra.org

UBIQUITY
Grace Hopper Celebration of Women in

Computing 2002 Conference

Hyatt Regency Vancouver, 

British Columbia, Canada

October 9-12, 2002

Details:  http://gracehopper.org
Many in the computer science and
engineering research community
believe that it is appropriate, if not
urgent, to re-think what are the
grand research challenges of the field.
So when a conference to discuss
grand research challenges was pro-
posed, CRA agreed to organize it.
Seventy participants met at the first
CRA Grand Research Challenges in
Computer Science and Engineering
Conference from June 23 to 26 at the
Airlie Resort in Warrenton, VA.

The conference was the brainchild
of University of Virginia CS professor
Anita Jones, who chaired the organ-
izing committee, and Dr. William
Wulf, current President of the
National Academy of Engineering.
Their experience attending a Gordon
Conference led them to believe that
a similar kind of meeting conducted
in a retreat environment might also
be productive for the computing
research community. The conference
was supported by a grant from the
National Science Foundation.

The response from the community
for such a meeting was enthusiastic,
and the organizing committee
decided to make the conference a “by
invitation only” retreat. Modeled

after the Gordon Conferences, its
goal was to hold two and a half days
of intensive research discussions that
would lead to the identification of
several “grand challenges.” The com-
mittee felt that the focus had to be
narrowed somewhat, and they chose
“computing systems” as the theme for
the conference.

Attendees were selected based on
one or more grand challenge position
papers that they submitted for consid-
eration. “Out-of-the-box” thinking
was encouraged in these submissions,
and those selected to attend were
strongly encouraged to participate for
the entire time in order to provide
the focused effort required for the
conference to succeed.

Members of the organizing com-
mittee included William Aspray,
Computing Research Association;
Ambuj Goyal, IBM Watson Research
Center; Mary Jane Irwin, Penn State
University; Ed Lazowska, University
of Washington; Dave Patterson,
University of California, Berkeley;
Jordan Pollack, Brandeis University;
Bob Sproull, Sun Microsystems
Cambridge Research Laboratory; and
Bill Wulf, National Academy of
Engineering.

There were only two prepared
talks at the conference. The rest of
the time involved focused discus-
sions, sometimes in plenary sessions
and sometimes in small self-selected
focus groups that discussed and
framed specific topics. Participants
held working sessions after dinner,
leaving some time free in the after-
noon for recreation, but the organiz-
ing committee observed that most
attendees just kept working in small
focus groups in the afternoons.
Science fiction writer Bruce Sterling
gave a lively talk on the first evening
(“Without Vision, the People
Perish”). 

Only the first day’s program was
scheduled in advance; groups were
asked to discuss strawman “grand
challenge” areas that were offered by
the committee. Some of these sur-
vived participant scrutiny and others
were discarded or reshaped. Whole
new challenges arose in discussion.

Each evening attendees were
given the opportunity to vote on the
challenges that were discussed that
day to determine what sessions
should go forward the next day. The
organizing committee met late each
evening to plan a schedule for the

next day based on voting results. The
organizing committee initially found
this scheduling approach daunting,
but the flexibility was helpful.

In the end, participants selected a
total of five challenges with reason-
ably strong consensus. Several are
cast as societal challenges that com-
puter science and engineering can
help meet. Others are technical
challenges in the forefront of research. 

The organizing committee is
preparing a conference report that
will be published by CRA in the fall.
The report will be widely dissemi-
nated to the technical community,
industry, future computer science
graduates, funding agencies, and 
the public.

Based on the enthusiasm of atten-
dees for such discussions, CRA will
appoint a steering committee to con-
sider holding similar conferences in
the future to discuss “grand chal-
lenge” research topics selected from
other areas of computer science and
engineering.

Slides and other documentation
from the meeting are available on
CRA’s website at: http://www.cra.org.

CRA Holds Grand Research Challenges Conference

Examples of Leadership –
Are You Included?
By Peter A. Freeman

At CRA’s biennial Snowbird con-
ference in July, I had the opportunity
to address the attendees on the sub-
ject of “Leadership in Computing.”
My basic theme (one that Bob Kahn
also addressed in his remarks at
Snowbird) was that there is a great
opportunity and a strong responsibil-
ity for computing people to provide
all kinds of leadership—in research,
in shaping national policy, in educa-
tion, and in helping advance our
society through diversity of all kinds.
I encourage you to read my full 
talk at: http://cra.org/Activities/
snowbird/2002/slides/freeman.html.

In this short column, for which
CRA has graciously provided space, I
want to continue that theme and
help to bring it home to everyone in
our field through some examples. I
trust that the hundreds of people not
mentioned here who provide fine
examples of leadership will not be

offended, but will continue to lead
and to encourage others to lead.

Let me begin by noting the out-
standing service given to our com-
munity by Valerie Taylor, winner of
this year’s CRA A. Nico Habermann
Award (http://www.cra.org/
Activities/awards/habermann/
winner.02.html) and Andy van 
Dam, winner of this year’s CRA
Distinguished Service Award
(http://www.cra.org/Activities/awards
/service/winner.02.html). In addition
to substantial scholarly contribu-
tions, Valerie and Andy have each,
in their own way, provided great
leadership to our community—and
continue to do so.

Two people who may not be quite
as visible in the community are the
outgoing CRA Executive Director,
Bill Aspray, and his successor at
CRA, Andy Bernat. Both are

Aspray Honored at Snowbird
Departing CRA Executive Director, Bill

Aspray, was honored by board members and
attendees at the recent CRA Conference at
Snowbird 2002. Aspray, who came to CRA in
1996, has joined the faculty of the School of
Informatics at the University of Indiana in
Bloomington.

Mary Lou Soffa, former vice chair, current
board member, and co-chair of CRA-W,
thanked him for his unqualified support and
promotion of CRA-W’s activities, and pre-
sented him with a pen in an engraved 
silver box.

In addition, Bill received several gifts, both
humorous and handsome, suitable for a histo-
rian of computing. These included the early

L.E.A.D. 2.5 Word Processor (a series of pencils) presented by board member
and former board chair, Dave Patterson, and a historical computing artifact
(an abacus mounted on an engraved plaque) presented by board member and
former board chair, Ed Lazowska. In addition, Jim Foley, current board chair,
presented a plaque with a mounted core memory board and the CRA logo to
Bill “for a job well done.” 

CRA made great strides during the time Aspray served as Executive
Director. Its academic members grew from 147 to 212 and lab/center members
from 17 to 25. CRA programs increased from 8 to 25, and staff increased from
5 to 8 people. The association’s financial situation has greatly improved with
careful monitoring during his tenure.

Bill Aspray leaves CRA with an impressive record of achievement, as well
as  the gratitude and best wishes of the board, members, staff, and the larger
computing community.

Leadership
Continued on Page 7

(l to r) Bryant York (Portland State), Caroline Wardle (NSF), Habermann
Award Winner Valerie Taylor (Northwestern), Richard Tapia (Rice), and
Andy Bernat (CRA) at Snowbird.

CRA Welcomes New Members
Academic Members

Colgate University (CS)
Indiana University (LIS)

Juniata College (IT)
Roosevelt University (CS&T)

Trinity College (CS)
University of Hawaii (CIS)

Virginia Commonwealth University (CS)

Labs and Centers
IDA Center for Computing Sciences

Bill Aspray
By Valerie Bernat

The current status of computer
science research in Mexico is of
interest to researchers in the 
United States not only for the
intrinsic value of the science, but also
because the methods Mexico is using
to attempt a quantum leap forward in
scientific capability can be seen as a
model for other countries in the
developing world. 

Because the research structure 
in Mexico is unfamiliar to many 
in the United States, we will first
look at the players, the sources of
funding, and the constraints on
research before considering the 
efforts to improve the quality and
quantity of computer science research
in Mexico.

The Players 
CONACyT (National Council of

Science and Technology) is the
counterpart of NSF in Mexico,
providing funding for all areas of
science and technology. 

The top public universities, IPN
(National Polytechnic Institute) and
UNAM (National Autonomous
University of Mexico), receive opera-
tional funding from the federal gov-
ernment. Salaries are low, about U.S.
$28,000 annually, and faculty teach
one to two courses per semester.
Tuition for students is quite low.
When UNAM recently proposed an
increase from $0.02 to $145 per year,
students protested with a loud and
lengthy strike. 

IPN recently founded a new
research center that has grown
rapidly with special institutional
support for better salaries via research
grants from CONACyT. Some scien-
tists from Russia and Cuba are
participating in this effort.

The top private universities for
research are ITESM (Institute of
Technology and Higher Studies of
Monterrey: Monterrey, Morelos, and
State of Mexico campuses) and
UDLA (University of the Americas:
Puebla campus). Private universities
are funded through foundations, usu-
ally supplemented with resources
from industry and tuition. Until
recently, due to Mexico’s egalitarian
attitudes with regard to public
monies, private institutions were
unable to receive government
research support. Salaries are about
U.S. $36,000 annually, and faculty
teach 3 courses per semester.

Separate from universities, the
Mexican federal government invests
in a number of public scientific
research institutes, several with inter-
national reputations. A board and a
director oversee each center and
choose areas of research to pursue
within funding allocations. In the
area of computing, CIMAT (Center
for Investigation in Mathematics)
specializes in image processing,
CICSE (Center for Scientific
Investigation and Higher Education
of Ensenada) focuses on software
engineering and cluster programming,
and INAOE (National Institute of

Astrophysics, Optics and Electronics)
works in computer control.

There is one independent comput-
ing research institute in Mexico. In
1991 a group of UNAM faculty
established LANIA (National
Laboratory of Advanced Computer
Science) so that they could pursue
research in theoretical artificial intel-
ligence, including multi-agent sys-
tems and logic. With additional
funding opportunities and govern-
ment requests, LANIA has grown
and now includes research in the
areas of image processing and com-
puter vision, programming languages
and methodologies, distributed and
cooperative computing, general IT
consulting, human resources training,
and direct government support such
as computer network installation.

Almost all research in computing
is done in these academic institutions
and research centers. Industry has
made some efforts to establish
research facilities, but the lack of
qualified researchers has hampered
their efforts.

Through 2000, approximately 160
Ph.D. computer scientists were work-
ing in Mexico; most received their
degrees from universities in the
United States, France, England,
Japan, and Spain. In recent years,
ITESM, UNAM, UDLA-P, and IPN
have established Ph.D. programs. 

Constraints, Funding, and
the Current Scene

Although the first supercomputer
in Latin America was installed at
UNAM, in the past Mexico did not
see computing as a strategic invest-
ment. Funds were available for com-
puting only as it became useful in
pursuing other scientific research. 
CS as a discrete discipline was 
not viewed as worthy of considera-
tion or support by the scientists run-
ning CONACyT, whose motivation
may have also been partly a reluc-
tance to share limited resources with
an upstart discipline that could be
construed as more technical than
truly scientific. 

In addition, the limitations of
salaries and the value of the peso
have constrained the productivity of
researchers in Mexico, making it
more difficult for faculty and students
to travel, join international associa-
tions, subscribe to journals, or pur-
chase texts or state-of-the-art
equipment. Unlike their U.S. coun-
terparts, faculty in Mexico do not
receive sample copies of textbooks. 

Prior to 1994, CONACyT had
two programs affecting computer
science research: funding for graduate
students and the National
Investigators Program. Students seek-
ing a Ph.D. at a qualified institution
in Mexico, the United States, or
overseas would receive a loan that
would be entirely forgivable if the
student returned to an academic
career within Mexico. The loan
would be half forgiven if the student
returned to take a job in industry.
Approximately 90 percent have
completed their degrees, and 

virtually all have returned to work 
in Mexico. 

The National Investigators
Program was established to compen-
sate for low academic salaries in the
scientific and technical disciplines by
providing additional support. This
program awards bonuses of up to 100
percent of salary, tax-free. The sole
criterion for receiving an award is by
number of pure research papers in
international journals. Panels of dis-
tinguished researchers control the
process. As a relative newcomer to
the pantheon of disciplines within
Mexico, computer science faculty
have had difficulty gaining a voice
and, thereby, a share of this funding.
The panels have tended to favor their
own research areas, disciplines such
as astronomy and anthropology, with
long, distinguished traditions in
Mexico. In addition, no accommoda-
tion is made for the varying defini-
tions of research or for the varying
difficulties of producing and publish-
ing pure research among the different
disciplines. Unable to make progress
without support, computer scientists
did not meet the qualifications for
support, a classic catch-22. 

CONACyT first supported com-
puter science in an effort with NSF
conceived of by A. Nico Habermann,
then AD for CISE. Following high-
level meetings, Habermann pursued
research collaboration and coopera-
tion with CONACyT in CISE fields.
Oscar Garcia, then a Program
Director in CISE, continued the
effort after Habermann’s death, and
funded the first of a series of three
joint U.S./Mexico workshops focus-
ing on collaboration between
researchers in the United States 
and Mexico. 

As a result of the first of these
workshops, SMCC (Mexican Society
for Computer Science) was formed.
In addition, by joining NSF in fund-
ing this workshop and the joint
research program that resulted,
CONACyT was for the first time
providing funds directly to computer
science. NSF and CONACyT con-
tinue to support joint research proj-
ects, and their success, along with the
example of NSF interest in computer
science, has created a revolution in
attitudes within CONACyT. Since
1998, programs initiated by
CONACyT have begun to put com-
puter science research on a strong
footing within the country and the
international community. 

Working at Solutions
REDII (Network for Development

and Investigation in Informatics) was
established by CONACyT in 1998
with the goal of transforming com-
puter science research and education
within Mexico. Recognizing that
Mexico cannot build a research
capacity in computer science without
also developing the people who are
going to do the research—and know-
ing that in a developing country 
pure research must be balanced with
an emphasis on practical develop-
ment—REDII had a dual intent: 

to simultaneously fund interesting,
useful research, while also supporting
the future generation of researchers. 

REDII funded both public and pri-
vate institutions, not individuals. The
institutions then supported projects
or general development, but the
monies could not be used for salary or
release time. REDII was unique in
that it was set up to directly fund
research in computer science, not the
panoply of scientific disciplines
within Mexico. And, proposals were
reviewed by CS research scientists.
Of the nine institutions and more
than 40 projects currently funded,
two examples are Enciclomedia 
and Phronesis.

Enciclomedia uses research in HCI
to couple textbooks with a multime-
dia database, creating a user-centered,
customized learning tool with limit-
less possibilities. Researchers are cur-
rently engaged in producing a
prototype to be used in the 5th grade.
Through Enciclomedia, Mexico is
actively developing the reason to link
schools to the Internet in the future,
anticipating the time when the effort
will be cost effective (cetee.itam.mx/
redii/informe2/ProyectosPrototipos/
Proyectos2.htm).

Phronesis is a web-based system
for building and using distributed dig-
ital library collections. Phronesis pro-
vides space- and time-efficient
procedures for indexing, searching
and retrieving information in either
English or Spanish (copernico.mty.
itesm.mx/~tempo/Projects/).

The current administration is
devising a follow-on program to
REDII. 

Summary
Mexico has made tremendous

improvement in the last 10 years in
increasing the quality and quantity of
computer science research.
Particularly worthy of note is the phi-
losophy of looking ahead by investing
in computer science research, though
the vicissitudes of governmental focus
and funding can still leave the field
in a precarious position. In Mexico,
as throughout the world, the need for
computer capability outpaces the sup-
ply of qualified computer science pro-
fessionals. Computer science is not a
field that can be ignored. 

Valerie Bernat is a freelance writer who
lives in the Washington, DC, area.

This is one of an occasional series of
articles describing computing research in
other countries.

Computer Science Research in Mexico

Subscribe to CRB —
FREE!

CRA’s Electronic Bulletin
for Computing
Researchers

For details, see:
http://www.cra.org/

cra-bulletin/home.html
Fostering Community Within a CS&E Department: 
A Berkeley Perspective

By David A. Patterson 

When I joined Berkeley 25 years
ago, there were few mechanisms to
build esprit de corps among the
faculty in the department. Despite
doubling in size and moving into a
larger building, we are probably a
more closely knit community today
than we were in 1977. Faculty who
have been in other departments
remark about how well we all get
along, and marvel that we shuffle the
faculty between research projects as
they come and go. 

Our community spirit is the result
of explicit efforts to help us work
together. The table shows the
chronology of community-building
efforts at Berkeley. Although several
of these schemes take money, most
just take some initiative. Most were
suggested by faculty who were junior
at the time. Few ideas came directly
from the chairs, although they had to
recognize the merits of the ideas and
had to implement them.

The first step in community
building was adding a yearly faculty
retreat. Instead of faculty meetings
where we never had enough time to
discuss important issues, we began to
meet for two days in the spring at a
nice place away from campus. Two
faculty members are charged with
making sure we have an interesting
program. Although we spend some
time on routine issues, we complain
if too much of it resembles a long
faculty meeting. We have tried pre-
dicting the future of technology,
started major research initiatives,
and even watched an occasional
movie about Berkeley. We preserve
long breaks and long meals, with
time for a long walk, since we recog-
nize that informal discussions are an
important part of the process. To
avoid sacrificing our real families to
enhance our campus community, the
retreat takes place during the week,
typically on a Thursday and Friday.

Faculty are expected to have TAs
cover their classes, and since we
make important decisions about our
future, almost all faculty come to 
the retreat.

Food is Love
The next step was a weekly

departmental lunch. For the first 30
minutes the faculty talk about what-
ever they want. The chair then
introduces the visitors, perhaps 
mentioning their talks, and intro-
duces whatever topic is hot for that
day. Weekly 30-minute discussions
can make many ad hoc faculty
meetings unnecessary.

I once remarked to an anthropol-
ogist that I was amazed what people
would do for a free meal. She said I
didn’t understand a simple truth:
“Food is love.” In addition to the
convenience of a meal inside your
building, apparently at some level
the lunch shows that someone cares
about you.

The weekly lunch was soon
supplemented by collecting faculty at
noon to go to a nearby restaurant to
share a meal. Bright and interesting
people exchange views on all issues

of the day. A former colleague who
left for a startup said what he misses
most are those lunches.

Shortly thereafter we added a
review of the progress of all graduate
students. We list every student in
reverse chronological order by years
in the graduate program, and faculty
try to avoid having their student at
the top of the list. We share stories
about the superstars and give sugges-
tions on what has worked with those
needing a helping hand. Since we
started the review I believe we 
have improved both the fraction 
of students getting Ph.D.s and time
to degree. We meet twice a year,
with the faculty going out to a free
dinner afterwards. (See “food is 
love” above.)

The next major activity was off-
site research retreats for each large
research project. Since these projects
typically involve three to six faculty,
bonding among faculty can’t help but
happen when you are together for
three days, twice a year, for four
years. These research retreats, where
we invite a dozen interesting people
from industry, are also invaluable to
the success of our research projects.

A New Building Endangers
the Community

The next challenge to our com-
munity was moving into a new build-
ing. This led to a major decision: to
intersperse faculty with their gradu-
ate students, which increases chances
of interaction between grad students
and faculty, or keep the faculty
together? We decided that faculty
certainly meet with their grad stu-
dents no matter where they are
located, but to preserve our commu-
nity we wanted to keep the faculty
together to increase the chances for
interaction. As we moved from a
single-floor building to two floors, we
were so concerned about that split
that we added a third open staircase
between the two floors, hoping that
faculty would be more likely to
wander on the two floors and inter-
mingle and making it easier to find
faculty for the ad hoc lunches. The
President of Caltech visited several
years later, and said we absolutely
made the right decision.

The next milestone was a faculty
book club. One colleague who enjoys
reading books got this started, mak-
ing suggestions of books that those of
us who read less might enjoy. Four to
six times a year we meet for dinner
and talk about a book. We quickly
decided that we wouldn’t read books
directly in our field. Topics have
included economics, anthropology,
biology, neurology, and history of sci-
ence. (If you want to see the list, see
www.cs.berkeley.edu/~pattrsn/Faculty
BookClub.html.) We soon evolved
to inviting an expert in the field
from the university to join us for
each dinner, which makes the discus-
sions that much more interesting.
Several times the author has joined
us, which is a lot of fun. (A recent
book was “History of the University
of California,” and we greatly

When Community Activity Who

1980 Faculty retreat David Patterson lobbied chair Manuel
Blum, who made it happen

1982 Weekly faculty lunch Patterson lobbied, chair Carlo Séquin
made it happen

1982 Ad hoc joint lunch Robert Wilensky and many others

1983 Grad student review John Ousterhout lobbied chair Domenico
Ferrari, who made it happen

1987 Semiannual, off-campus, Patterson
Project Research Retreat

1990 Faculty on same floors in Séquin presented options: faculty voted
new building

1995 Book club Randy Katz

1998 Sherry Hour Patterson

2002 Monthly Big Topic Lunch Chair Jitendra Malik

Once again, following a long tra-
dition that began in 1974, senior
researchers from academia, labs/cen-
ters, and government with an inter-
est in computing research wended
their way to Snowbird, Utah July 14
to 16 for CRA’s biennial conference.
Attendance this year was the highest
ever with 260 registrants. Attendees
managed to keep their cool in spite
of unseasonably hot temperatures in
the mountains.

The program, organized by com-
mittee co-chairs Leah Jamieson,
Purdue University, and Phil Bernstein,
Microsoft, offered two keynote
speeches, three plenary sessions, and
four simultaneous workshop sessions.

Dr. Robert Kahn, Internet pioneer
and President of the Corporation for

National Research Initiatives in
Reston, VA, opened the conference
with a keynote address on “Key
Issues in Information Technology.”
On the second day, Peter Freeman,
Assistant Director for CISE at the
National Science Foundation, dis-
cussed “Strategic Directions at NSF”
in a keynote address. 

The always popular workshop for
new department chairs, led by
Kathleen McKeown, Columbia
University, and Randy Bryant,
Carnegie Mellon, had a very 
large turnout.

On the second evening, CRA
Service Awards were made. Bryant
York presented the Habermann
Award to Valerie Taylor, North-
western University; Guylaine Pollock

presented the Distinguished Service
Award to Andries van Dam, Brown
University. Jim Foley, CRA chair,
and Bill Aspray, CRA Executive
Director, presented the “State of
CRA” after dinner. Gifts were pre-
sented to Bill Aspray, who stepped
down as CRA’s Executive Director
on July 31, and the new Executive
Director, Andrew Bernat, made some
brief remarks.

For the second time at Snowbird,
IT Deans met on the final day of the
conference. This session, chaired by
Bobby Schnabel, University of
Colorado at Boulder, attracted more
than 40 attendees this year.

In addition to co-chairs Leah
Jamieson and Phil Bernstein, mem-
bers of the program committee for

Snowbird 2002 included Ron
Brachman (DARPA, formerly
AT&T Research); Oscar Garcia
(Wright State University); Tom
Henderson (University of Utah); Jim
Horning (NAI Labs); Jack Stankovic
(University of Virginia); Frank
Tompa (University of Waterloo);
Dick Waters (Mitsubishi Labs); and
Roger Webb (Georgia Tech,
ECEDHA). The evaluation forms
submitted by attendees suggest kudos
all around for this hard-working
committee. Presentation slides are
posted at http://www.cra.org. 

The next CRA Conference 
at Snowbird is scheduled for July 11-
13, 2004.

Record Numbers Attend Snowbird Conference

Fostering Community
Continued on Page 7
By Jim Foley

Why are we called the Computing Research Association instead of the
Computer Science Research Association?

Our Mission Statement records that:
“In 1986 CSB, in recognition of its increasing con-

cern for R&D in the computing fields, including
computer engineering and computational science, incor-
porated as the Computing Research Board (CRB). In
1990, CRB was given its present name …” .

The more general question is, “What is computing and how does it differ, if
at all, from computer science?” This of course depends on what we mean by
computer science.

Abelson and Sussmann [1] write: “Computation provides a framework for
dealing precisely with notions of ‘how to.’” In a recent presentation, Sussmann
[2] contrasts the “how to” of computer science with the “what is” of mathemat-
ics. I would go further. Science discovers the laws of nature—the “what is” of
nature. Engineering uses the laws of nature to create physical artifacts. In con-
trast, computer science discovers and uses the laws of “how to” compute and
“how to” organize information to create computational and information arti-
facts. Computer science is also concerned with the organization—that is, the
architecture—of the physical artifacts that perform computations and that
store and transmit information. (Computer science is both science and
engineering—a good thing, in my opinion, but that’s another story.)

What then of computing? It is simply computer science with an additional
emphasis on understanding the ways and domains in which computers are
used, and the ways in which computational engines are engineered. Also,
because people are the users of much of our computer technology, understand-
ing people is important to computing. The more engaged one becomes with
application domains and human issues in doing computer science research, the
more one is doing computing research in addition to computer science
research. So it is a continuum. There is no hard dividing line.

I’ve been at Georgia Tech’s College of Computing for much of the time
since I first moved south in 1991. Our strategic plan says: “The College was
founded to focus on computing — the integration of computer science and other
disciplines to address problems of wide interest. Our interest in end-results leads
immediately to our concentration on the human element of computing in
much of our research and to our aggressive interdisciplinary orientation.”

Computing is concerned both with deep theoretical questions about the
nature of computing and information, as well as with new and creative ways to
use computers to solve problems. That is, computing simultaneously looks
inward to solve fundamental problems, and looks outward to solve real-world
problems and to work collaboratively with other disciplines to solve problems
that neither computer science nor the other discipline alone could solve.
Indeed, in some cases they are problems that neither discipline could even
recognize without collaborating, and in some cases the collaboration leads to
fundamentally new ways of thinking about problems.

I used figure 1 at our Snowbird meeting to suggest that:
• Computing contains computer science.
• Computing foundations are partially within computer science and com-

puting and partially outside computer science and computing, drawing
on disciplines such as math, probability, statistics, philosophy, linguistics,
semantics, cognitive science, library science, and cryptography.

• Working on research challenges coming from application domains is an
important aspect of computing. Again, there is a continuum.

“Interdisciplinary research” means different things to different people.
Figure 2 captures some possible interpretations—or misinterpretations. It is
only in the upper-right quadrant that I consider true interdisciplinary research
to be occurring. Yes, sometimes a research team will start in one of the other
quadrants as a “get acquainted with the problem domain” strategy, but the
target must always be the upper-right quadrant!

What about the relationship between computing and information
technology? Figure 3 shows two types of application domains—those that are
computation-intense and those that are data-intense (the two overlap because
there is a continuum here as well). The intersection between computation-
intense applications and computing is computational science and the
intersection between data-intense applications and computing is information
technology. Again, each of computational science and information technology
can involve research in computing foundations, computer science, and
computing.

CRA’s goal is to have as members and provide service to all groups that are
doing computing research, whether it be in traditional computer science, com-
puter engineering, computational science, information technology, information
science, computational biology, medical informatics, or any domain in which
new computing knowledge is being created

My understanding and articulation of the structure of the discipline of com-
puting is still evolving. I welcome your feedback (foley@cc.gatech.edu).

Jim Foley is chair of the CRA board. 

References:
1Abelson and Sussmann, Structure and Interpretation of Computer Programs, MIT Press,
Cambridge, MA, 1985.

2Sussmann, G, The Legacy of Computer Science, presentation at NRC/CSTB 
Symposium, “Fundamentals of Computer Science,” 
http://www7.nationalacademies.org/cstb/project_fcs_agenda3.html

Computing > Computer Science

Figure 1. A Structure for the Discipline of Computing.

Figure 2. Interdisciplinary research occurs when new knowledge is
being discovered in both disciplines.

Figure 3. How computational science and information technology relate
to computing.

2003 Federated Computing Research Conference

June 7–14, 2003

San Diego, California

http://www.acm.org/sigs/conferences/fcrc/
The report indicates the Committee expects NSF to use this new funding to
support individual researchers and interdisciplinary centers in computer and
network security research. 

The Committee Report also contained comments about the recent report by
the NSF’s Blue-Ribbon Advisory Committee on Cyber-infrastructure, noting
that the report’s call for significant expansion in “high-performance computing,
optical networking, software applications for ‘e-science,’ and large-scale digital
libraries” could “accelerate the pace of discovery in all science and engineering
disciplines, and serve as a ‘multiplier’ for the Government’s substantial
investment in R&D.” The Committee urged NSF to give the report careful
consideration in preparing its FY 2004 budget proposal. 

The VA-HUD Appropriations bill will likely be considered by the full
Senate in September. Work on the House version of the bill in committee was
not completed before the House adjourned for Congress’ traditional August
recess. Though the Republican-controlled House is not expected to be quite as
generous in its version of the VA-HUD Appropriation, there is clearly support
for significant increases in NSF’s research budget. In June, House members
passed overwhelmingly a bill (H.R. 4664) introduced by House Science
Subcommittee on Research Chair Nick Smith (R-MI) that would authorize
funding increases of 15 percent at NSF for three years, setting a target of
doubling the agency’s current budget in five years. The Senate will take up its
version of that bill in September. 

House and Senate Appropriators also made progress on FY 2003 Defense
Appropriations (H.R. 5010), with both committees reporting out versions that
approve significant increases to DOD science and technology budgets. The
House bill includes $11.3 billion for Defense Research, Development, Test, and
Evaluation (RDT&E) in FY 2003, including $1.41 billion for basic research,
$54 million more than the President’s request. DARPA’s Computing Systems
and Communications Technology account would grow to $425 million in FY
2003, $500,000 over the President’s request. The House plan would also pro-
vide $60 million for DARPA’s Embedded Software and Pervasive Computing
program. The bill passed the House by a 413 to 18 margin. 

The Senate version of the bill includes $10.7 billion in RDT&E funding in
FY 2003, slightly less than the House version, but includes $1.49 billion in
basic research funding. The Senate plan would increase DARPA’s Computing
Systems and Communications Technology account by $59 million over the FY
2002 level, but still fall $7 million short of the President’s requested level. The
full Senate will take up the bill in September. 

For the latest information developments in the appropriations process, check
the CRA Government Affairs web site at http://www.cra.org/govaffairs.

Appropriations from Page 1

Senate-Approved FY 2003 NSF Funding Levels
(in millions of US dollars)

FY 02 FY 03 FY 03 Change %
NSF Account Plan Request Senate Over FY Change

02 Plan

Biological Sciences 508.41 525.62 525.62 17.21 3.4

CISE 514.88 526.94 616.94 102.06 19.8

Engineering 472.32 487.98 567.98 95.66 20.3

Geosciences 609.47 691.07 684.49 75.02 12.3

Math & Physical Sciences 920.45 941.57 1,056.57 136.12 14.8

Social, Behavioral & 
Economic Sciences 168.79 195.61 195.61 26.82 15.9

U.S. Polar Research 
Programs 229.74 235.74 245.74 16.00 7.0

U.S. Antarctic Logistical 
Support Activities 68.07 68.07 68.07 0.00 0.0

Integrative Activities 106.51 110.61 170.61 64.10 60.2

Total, Research and Related 
Activities 3,598.64 3783.21 4131.63 532.99 14.8

Education and Human 
Resources 875.00 908.08 947.78 72.73 8.31

Major Research Equipment & 
Facilities 138.80 126.28 79.28 -59.52 -42.90

Salaries and Expenses 170.04 210.16 182.16 12.12 7.1

Inspector General 6.76 7.70 9.06 2.30 34.02

TOTAL NSF 4789.24 5035.79 5353.36 564.12 11.8

excellent scholars and have also per-
formed admirably as administrative
leaders. But both share another qual-
ity that is worth emulating in many
situations—the ability to move from
one sphere to another, using what
they have learned in one phase of
their careers to lead more effectively
in the next. Each has already done
this at least a couple of times, and I
know that their current transitions
will again display this leadership
characteristic.

My next example is the CISE
Advisory Committee. This group 
of approximately 30 people from 
all corners of our field (http://www.
cise.nsf.gov/vgn_apps/staf/output/
cise_staf_ac) serve one or more two-
year terms, donating at least five days
a year to advising CISE and NSF,
serving on special review panels, and
generally providing a very important
link between CISE and you, the
researchers in the field. We depend
on them to give us a balanced, com-
prehensive, and coherent view of
what is going on, so I strongly encour-
age you to make sure they are fully
informed. The service they selflessly
provide to the Nation is an extremely
important form of leadership, over
and above the leadership each
provides in their own spheres.

My last example is one of innova-
tive research leadership. This year’s

ITR Large awards will be announced
before September 30, and I encour-
age you to learn more about them.
(The CISE website, www.cise.nsf.gov,
will have links to them.) Each in its
own way provides a good example of
something that we need more of—
strong, innovative, and forward-
looking research efforts that have the
potential of changing things for
many years to come. (By the way,
the announcement of the ’03 ITR
Program should have been released
by the time this is published.)

Let me end by restating some-
thing that I said in my Snowbird
talk. Every one of you can lead in
some way. As researchers, educators,
and administrators you are, by defini-
tion, in a role that in some way
should be influencing others. So, at
least nominally, the answer to my
question “Are you included?” is
“yes.” The challenge for each of us,
every day, is to make the answer a
resounding “YES!” 

In future columns, I will address
general directions and issues at NSF
and CISE, discuss some specifics, and
comment on general issues in the
field. Your feedback will be most
appreciated.

Peter Freeman (pfreeman@nsf.gov) is
the Assistant Director of CISE at the
National Science Foundation.

enjoyed sharing a meal with its
author, Clark Kerr.) About half the
faculty participated at one time or
another in the book club, and we
have from 6 to 12 at a dinner.

We refer to a newer community
activity as the “Sherry Hour.” It
seemed a waste of talent that we
could find time to discuss sophomore
curriculum problems but not to talk
about intellectual issues. Sherry
Hour was inspired by Richard
Hamming’s talk, “You and Your
Research” (found on your local
search engine). He argued that it is
important for successful researchers
to not only work hard, but to pop
their heads up occasionally to look
for new, big opportunities. Hence, on
Friday afternoons he would discuss
only Great Thoughts and he would
invite people to share a table, pro-
vided they were willing to think big.
We follow in his footsteps. We meet
from 3:30 to 5:00 or so each Friday,
drinking free sherry and eating free
snacks. (See “food is love” above.)
The argument to make with busy
colleagues is: Just how much more
work are you going to get done after
3:30 on Friday, and wasn’t having
discussions on big ideas one of the
reasons you went to academia? We
just have to keep a muzzle on the
chair to prevent a faculty meeting
from breaking out.

I believe an interesting project
between vision and computer archi-
tecture got started at Sherry Hour,
although my colleague thinks it was
over an ad hoc lunch. The project
wouldn’t have happened without a
conscious attempt to cross bound-
aries within the department. 

Still Innovating
This fall our new chair is going to

try to dedicate one lunch a month to
go over the important intellectual
events in our field, possibly cutting
into informal discussion time to pro-
vide an opportunity to interact on
these issues. For example, I will
probably present the results of CRA’s
recent Grand Research Challenges
Conference. I bet this one is a
winner too.

For more than 20 years, we’ve
been innovating to try to bring the
faculty together, and I believe it has
been especially important as we grew
from 25 to 40 faculty. Berkeley cer-
tainly would not be the same place
without them. Perhaps it’s like a
good marriage, in that you need to
keep working at it. 

I know that faculty who come to
Berkeley from other places remark
on what a friendly community we
have for such a high-powered place.
They also marvel at how we mix and
match different faculty on different
research projects over the years; 
I probably have worked on multi-
year research projects with a 
dozen faculty. 

Perhaps others can share their
ideas about what works in their
departments? We’re interested in
doing even more.

David Patterson, Professor of 
Computer Science at UC Berkeley 
(patterson@cs.berkeley.edu), is a 
current CRA board member who served
two terms as board chair from 1993 
to 1997.

Leadership from Page 3

Fostering Community from Page 5
Academic Members
Arizona State University (CSE)
Auburn University (CSSE)
Ball State University (CS)
Boston University (CS)
Bradley University (CS)
Brandeis University (CS)
Brigham Young University (CS)
Brown University (CS)
Bryn Mawr College (MCS)
Bucknell University (CS)
California Institute of Technology (CS)*
California State Polytechnic 

University (CS)
California State University, Chico (CS)*
California State University, 

Hayward (MCS)*
Carnegie Mellon University (CS)
Carnegie Mellon University (ECE)
Case Western Reserve 

University (EECS)
City University of New York, 

Graduate Center (CS)
Clemson University (CS)
College of Charleston (CS)
College of William & Mary (CS)
Colorado School of Mines (MCS)*
Colorado State University (CS)
Columbia University (CS)
Cornell University (CS)
Dalhousie University (CS)
Dartmouth College (CS)
DePaul University (CS)
Drexel University (MCS)*
Duke University (CS)
Florida Atlantic University (CSE)
Florida Institute of Technology (CS)
Florida International University (CS)
Florida State University (IS)
Florida State University (CS)
George Washington University (CS)*
Georgia Institute of Technology (CS)
Georgia Institute of Technology (ECE)
Georgia Southern University (MCS)*
Georgia Southern University (IT)
Georgia State University (CIS)*
Georgia State University (CS)*
Grinnell College (MCS)
Harvard University (CS)
Harvey Mudd College (CS)
Illinois Institute of Technology (CS)*
Illinois State University (ACS)*
Indiana University (CS)
Indiana University (I)
Iowa State University (CS)
Johns Hopkins University (CS)
Kansas State University (CIS)
Kent State University (CS)
Lehigh University (CSE)
Long Island University (ICS)*
Louisiana State University (CS)
Loyola University Chicago (CS)*
Massachusetts Institute of 

Technology (EECS)
Michigan State University (CS)
Michigan Technological University (CS)
Mississippi State University (CS)
Montana State University (CS)
New Jersey Institute of Technology (CS)
New Mexico State University (CS)*
New York University (CS)
North Carolina State University (CS)
Northeastern University (CS)
Northwestern University (ECE)
Northwestern University (CS)
Oakland University (CSE)
Ohio State University (CIS)
Ohio University (EECS)
Oklahoma State University (CS)
Old Dominion University (CS)
Oregon Health & Science 

University (CSE)

Oregon State University (CS)
Pace University (CSIS)
Pennsylvania State University (CSE)
Pennsylvania State University (IST)
Polytechnic University (CIS)
Portland State University (CS)
Princeton University (CS)
Purdue University (ECE)
Purdue University (CS)
Rensselaer Polytechnic Institute (CS)
Rice University (CS)
Rochester Institute of Technology (CS)
Rutgers University, Busch Campus (CS)
Santa Clara University (CE)
Simon Fraser University (CS)
Southern Illinois University, 

Carbondale (CS)*
Southern Methodist University (CSE)
Southern Polytechnic State 

University (CSE)*
Southwest Texas State University (CS)
Stanford University (CS)
State University of New York, 

Albany (CS)
State University of New York,

Binghamton (CS)*
State University of New York, 

Stony Brook (CS)
Stevens Institute of Technology (CS)
Swarthmore College (CS)
Syracuse University (IS)
Temple University (CIS)
Texas A&M University (CS)
Texas Tech University (CS)
Tufts University (EECS)
Tulane University (EECS)
University at Buffalo (CSE)
University at Buffalo (IS)*
University of Alabama, 

Birmingham (CIS)
University of Alabama, Tuscaloosa (CS)
University of Alberta (CS)
University of Arizona (CS)
University of Arkansas (CSCE)
University of Arkansas at 

Little Rock (I)*
University of California, 

Berkeley (EECS)
University of California, Berkeley (IMS)
University of California, Davis (CS)
University of California, Irvine (ICS)
University of California, 

Los Angeles (CS)
University of California, Riverside (CSE)
University of California, 

San Diego (CSE)
University of California, 

Santa Barbara (CS)
University of California, 

Santa Cruz (CS)
University of California, 

Santa Cruz (CE)
University of Central Florida (CS)
University of Chicago (CS)
University of Cincinnati (ECECS)
University of Colorado, Boulder (CS)
University of Delaware (CIS)
University of Denver (CS)
University of Florida (CISE)
University of Georgia (CS)*
University of Hawaii (CIS)
University of Houston (CS) 
University of Idaho (CS)
University of Illinois, Chicago (CS)
University of Illinois, Urbana

Champaign (CS)
University of Iowa (CS)
University of Kansas (EECS)
University of Kentucky (CS)
University of Louisiana at 

Lafayette (CACS)
University of Louisville (CECS)*
University of Maine (CS)*

University of Manitoba (CS)*
University of Maryland (CS)
University of Maryland, 

Baltimore Co (CSEE)
University of Massachusetts, 

Amherst (CS)
University of Michigan (I)
University of Michigan (EECS)
University of Minnesota (CSE)
University of Mississippi (CIS)
University of Missouri, 

Columbia (CECS)
University of Missouri, Rolla (CS)
University of Nebraska, Lincoln (CSE)
University of Nevada, Las Vegas (CS)
University of Nevada, Reno (CS)
University of New Brunswick (CS)*
University of New Hampshire (CS)*
University of New Mexico (EECE)*
University of New Mexico (CS)
University of North Carolina at 

Chapel Hill (CS)
University of North Carolina, 

Charlotte (IT)*
University of North Dakota (CS)
University of North Texas (CS)
University of Notre Dame (CSE)*
University of Oklahoma (CS)
University of Oregon (CIS)
University of Pennsylvania (CIS)
University of Pittsburgh (CS)
University of Puget Sound (MCS)
University of Redlands (MCS)*
University of Rochester (CS)
University of South Alabama (CIS)
University of South Carolina (CSE)
University of South Florida (CSE)
University of Southern California (EES)
University of Southern California (CS)
University of Tennessee, Knoxville (CS)

University of Texas, Arlington (CSE)*
University of Texas, Austin (CS)
University of Texas, Dallas (CS)
University of Texas, El Paso (CS)
University of Toledo (EECS)*
University of Toronto (CS)
University of Toronto (ECE)*
University of Tulsa (MCS)
University of Utah (CS)
University of Vermont (CS)*
University of Virginia (CS)
University of Washington (I)
University of Washington (CSE)
University of Washington, Bothell (CS)
University of Washington, 

Tacoma (CSS)*
University of Waterloo (CS)
University of West Florida (CS)
University of Wisconsin, Madison (CS)
University of Wisconsin, 

Milwaukee (EECS)
University of Wyoming (CS)
Utah State University (CS)*
Vanderbilt University (EECS)
Virginia Tech (CS)
Wake Forest University (CS)
Washington State University (EECS)
Washington University in St. Louis (CS)
Wayne State University (CS)
Wesleyan University (CS)
West Virginia University (CSEE)
Western Michigan University (CS)
Williams College (CS)
Worcester Polytechnic Institute (CS)
Wright State University (CSE)
Yale University (CS)
York University (CS)

2001-02 Computing Research Association Members

AT&T Labs

Avaya

Compaq Computer Corporation

Computer Science Research
Institute at Sandia National
Labs

Fraunhofer Center for Research in
Computer Graphics

Fujitsu Laboratories of America*

Hewlett-Packard Company

Honda R&D Americas

IBM Research

Institute for Human & Machine
Cognition

Intel Corporation

Lucent Technologies, Bell Labs

Microsoft Corporation

Mitsubishi Electric Research Labs

NASA Ames Research Center

National Center for Atmospheric
Research

NCSA

NEC Research Institute

Palo Alto Research Center

Panasonic Information &
Networking Technologies Lab

Ricoh Innovations

San Diego Supercomputer Center

Sun Microsystems

Telcordia Technologies
(Supporting Member)

Labs and Centers Members

Affiliate Professional Society Members

American Association for Artificial Intelligence

Association for Computing Machinery

Canadian Association of Computer Science (CACS/AIC)*

IEEE Computer Society

Society for Industrial and Applied Mathematics

USENIX Association

*New members 2001-02
Computing Research Association
Program Associate

Computing Research Association, an educational nonprofit has a full-
time, permanent opening for a Program Associate. As is typical in a small
organization, the Program Associate will be required to work on multiple
assignments, which may change over time. Much of the work will involve
staff support to the computer professionals who volunteer to serve on our
board and committees. These activities include career development work-
shops for young faculty, mentoring and research experience programs for
undergraduate women, distinguished lecture series, and programs for
industrial research managers. Another part of the job involves assignments
that require use of data analysis and social science tools and methodolo-
gies. These assignments include formal evaluation of programs to deter-
mine their effectiveness, two annual data surveys, occasional field work
(surveying, focus groups, formal interviewing) in connection with work-
force and other research studies, and occasional report writing. 

A bachelor’s degree is required, and an advanced degree or experience
is preferred. Formal training or work experience with data analysis and the
empirical methods and tools of the social sciences (surveying, interview-
ing, etc.) is desirable. Experience with program evaluation is highly desir-
able. Excellent writing and speaking skills, and desire and ability to work
closely with staff, board members, and other CRA volunteers, are essen-
tial. No special knowledge of computer science is needed, but strong com-
puter usage skills and particular experience with databases are valued. 

CRA seeks someone who has a passionate interest in promoting higher
education, especially science education, and the advancement of comput-
ing research for social benefit. Half of the staff holds advanced degrees,
and all members of the staff work routinely with distinguished professors,
department chairs, deans, industrial research laboratory managers, senior
Washington policy-makers, and others in leadership positions. 

To apply, send a resume, writing sample, and cover letter including
salary requirements, together with the names of three references, to:
Donnajean Ward, Director of Programs, Computing Research Association.
Email (Word and .pdf attachments accepted) is preferred <ward@cra.org>,
or fax to 1-202-667-1066. Applications will be considered as they arrive,
until the position is filled. No phone calls please.

Professional Opportunities

CRN Advertising Policy
See http://www.cra.org/main/cra.jobshow.html 

Brookhaven National Laboratory 
The Center for Data Intensive Computing
and the Physics Department  
Computer Scientist

The Center for Data Intensive Computing
and the Physics Department together seek a
computer scientist or computationally oriented
physicist in the general area of grid computing,
distributed data access, and/or the storage and
analysis of petabyte data sets. The successful
candidate will demonstrate an ability to con-
duct an independent research program and to
work with Laboratory research programs.
Brookhaven is home to RHIC, the Relativistic
Heavy Ion Collider and the U.S. ATLAS
Program and a participant in the Particle
Physics Data Grid (www.ppdg.net) and
GriPhyN (www.griphyn.org). CDIC is engaged
in advanced scientific computing and is closely
affiliated with the Departments of Applied
Mathematics and Statistics and Computer
Science at SUNY Stony Brook
(www.bnl.gov/cdic).

Minimal requirements include a Ph.D. in
computer science, electrical engineering,
physics or a related field with a strong back-
ground in computer science. Interested candi-
dates should send a CV, statement of research
interests, and the names of three references to: 

J. Glimm, Director, CDIC
Bldg. 463B or T. Wenaus
Department of Physics
Brookhaven National Laboratory
P.O. Box 5000
Upton, NY 11973
or by e-mail to: Claire Lamberti 
(lamberti@bnl.gov).
Brookhaven National Laboratory is funded

primarily by the U.S. Department of Energy. It
conducts basic and applied research in high
energy and nuclear physics, life sciences, mate-
rials, energy and environmental science and
national security. For more information, visit
our web site at www.bnl.gov. BNL is an equal
opportunity employer and encourages applica-
tions from minorities and women. Brookhaven
National Laboratory  

California Polytechnic State
University, San Luis Obispo 
Computer Science / Computer Engineering
Assistant/Associate Professor, Full-Time,
and Tenure Track (beginning Fall 2003)

Duties include teaching core undergradu-
ate courses, and upper-division and master’s
level courses in a specialty area; performing
research in a mainstream area of computer
engineering and/or computer science; and
service to the Computer Science Department,
the university, and the community.

Specific expertise is sought in one or more
of the following areas: computer architecture,
embedded systems, networking, operating
systems, and software engineering. Applicants
in other areas of expertise are also encouraged
to apply. A doctorate in computer science or
closely related field is required.

Candidates must have a strong commit-
ment to teaching excellence and laboratory-
based instruction, a broad-based knowledge of
computer engineering and/or computer sci-
ence, and dedication to continued profes-
sional development. Demonstrated ability in
written and oral use of the English language is
required. Rank and salary is commensurate
with qualifications and experience.

Cal Poly’s Computer Science Department
offers BS and MS degrees in Computer
Science. Cal Poly emphasizes “learn by
doing”, which involves extensive lab work
and projects in support of theoretical knowl-
edge. The available computing facilities for
instructional and faculty support are modern
and extensive. For further information about
the department and its programs, see
www.csc.calpoly.edu.

Inquiries should be directed to the
Recruitment Committee, Computer Science
Department, Cal Poly, San Luis Obispo, CA
93407 (refer to Recruitment Code 4327); 
Tel. (805) 756-2824; e-mail: cscrecruit@
csc.calpoly.edu. Review of applications will
begin on November 1, 2002; applications
received after that date may be considered.
For full consideration, candidates are required
to submit: (1) completed application form, (2)
statement of goals and plans for teaching and
research, (3) three letters of reference, and (4)
transcripts. 

A BS degree in Computer Engineering is
jointly offered by the Computer Science and

Electrical Engineering departments. For infor-
mation about positions in Computer
Engineering, please contact Professor Art
MacCarley, Director, Computer Engineering
Program, Cal Poly, San Luis Obispo, CA
93407 (refer to Recruitment Code 4528); Tel.
(805) 756-1229; e-mail amaccarl@calpoly.edu. 

Cal Poly faculty position ads are posted at
http://www.academic-personnel.calpoly.edu/
facpositions.html. Cal Poly is strongly com-
mitted to achieving excellence through
cultural diversity. 

The university actively encourages appli-
cations and nominations of all qualified indi-
viduals. EEO

Clemson University
Department of Electrical and Computer
Engineering
Faculty Positions in the Computer
Engineering Area

Applications are invited for faculty posi-
tions in the Computer Engineering area of the
Department of Electrical and Computer
Engineering. The Department has strong
research programs in wireless communications
and signal processing, mechatronics, computa-
tional electromagnetics, solid-state device
reliability, power systems, cluster-based
computing, reconfigurable computing, and
machine vision.

Exceptional candidates at all levels and in
all research areas related to computer engi-
neering will be considered. However, we
intend to fill at least one position in the area
of computer communication networks.   For
the other positions, we are interested in
individuals who can contribute to the
Department’s active research programs or who
can serve as conduits for building interdiscipli-
nary research teams in emerging areas at
Clemson (e.g., robotics/control, intelligent
systems, and computer simulation).

Candidates should hold a Ph.D. degree in
Computer Engineering, Electrical Engineering,
Computer Science, or a closely related field
and should have high potential for establishing
a sustained research program and quality
teaching.  The individual selected will be
expected to contribute to both new and ongo-
ing research programs at Clemson and to teach
both undergraduate and graduate courses.  A
detailed description of the department is
available at: http://www.ece.clemson.edu. 

Send resume and names and addresses of
five references to:
Chair
Holcombe Department of Electrical 
and Computer Engineering 
105 Riggs Hall, Box 340915
Clemson University 
Clemson, SC 29634-0915
Evaluation will begin October 1, 2002, and

will continue until the positions are filled.
Clemson University is an Equal Opportunity/
Affirmative Action Employer.   

Georgia State University 
Department of Computer Science 
Assistant/Associate Professor

The Department of Computer Science of
Georgia State University invites applications
for an anticipated tenure-track position for
assistant/associate professor beginning the Fall
semester, 2003.  Earned Ph.D. in Computer
Science, or a closely related discipline, and an
excellent record in publications in computer
science are required with preference for extra-
mural funding.  Preference is for individual
with specialty in software engineering,
graphics, content processing, internet multi-
media communications, operating systems, 
or algorithms.

The department offers programs leading to
the B.S., M.S., and Ph.D. degrees in computer
science.  Departmental computing facilities for
research and instruction include a departmen-
tal network of PCs, Unix/Linux workstations,
and a 24-processor Origin 2000 high-perform-
ance computer and five laboratories, and a
hypermedia and visualization research labora-
tory. A full-time systems programmer supports
the departmental computing facilities.

Applicants should send a letter of applica-
tion, vita without birth date, but with citizen-
ship status, and three letters of reference and
transcripts of all graduate and undergraduate
work to:  

Chair, Department of Computer Science
Georgia State University
University Plaza
Atlanta, Ga. 30303-3083
(or e-mail to:  mfraser@cs.gsu.edu).
Applications will be accepted until posi-

tion is filled.  Georgia State University is an
EEO/AA institution.

GILLIS Technology Consultants
LLC
Lead Sr Software Design Engineer,
Content Server Management

Our client is a global software company
that provides a variety of software and services.
The companies markets include product devel-
opment, gaming and software applications for
Web-based services. 

Interested in working on an exciting prod-
uct offering that enables businesses to quickly
and cost-effectively develop, deploy and main-
tain highly dynamic, personalized and scalable
e-business websites?  Our client recognizes the
need to effectively manage the content that
drives this communication as a strategic busi-
ness tool.  Ideal candidates possess a strong
technical background, solid grasp of software
engineering principles and exceptional prob-
lem solving skills.  Prefer candidates with
broad technical experience in enterprise appli-
cation development and knowledge in the fol-
lowing areas:  C++, COM, ATL, IIS, ASP,
VBScript, XML, Win2k, SQL Server, Web
Services, etc.  BS degree in Computer Science,
Engineering or a related technical field is
required.  Client provides competitive
compensation, benefits and relocation.

Please forward your resume to vreaves@gt-
consultants.com referencing CRA or visit our
website at www.gt-consultants.com.  GILLIS
Technology Consultants LLC advocates work-
force diversity.  We strongly encourage women
and minorities to apply.

Massachusetts Institute of
Technology 
Division of Health Sciences and
Technology, and Department of Electrical
Engineering and Computer Science 
Faculty Position

The Massachusetts Institute of Technology
seeks candidates for a tenure-track faculty posi-
tion offered jointly in the Harvard University-
Massachusetts Institute of Technology Division
of Health Sciences and Technology (HST)
and the MIT Department of Electrical
Engineering and Computer Science (EECS).

We seek candidates with backgrounds in
interdisciplinary fields of biomedical engineering

and/or the bio-medical sciences.  Faculty 
duties will include teaching at the undergradu-
ate and graduate levels, research, and supervi-
sion of theses.  Collaborative opportunities
with investigators at MIT, Harvard University,
Harvard Medical School, and its teaching hos-
pitals are abundant.  In addition, with access
to an exceptional student body, there are rich
opportunities to build an interdisciplinary, bio-
medically oriented research group.  There are
currently 380 students enrolled in the HST’s
degree programs as MS, Ph.D., and/or MD
candidates, and 750 students enrolled in
EECS’s MS and Ph.D. programs.  We seek
candidates who will interact productively with
students and faculty in both HST and EECS,
thereby fostering interdisciplinary research 
and teaching.

HST and EECS are strongly committed to
diversity in their faculties and student popula-
tions.  We encourage applications from men
and women of all demographic backgrounds.
All candidates should reply to the address
below. The application should include curricu-
lum vitae, statements of professional interests
in both research and teaching, and the names
and addresses of three or more individuals who
will provide letters of recommendation. Please
arrange to have such letters sent directly to the
address below. The deadline for receipt of
applications is November 15, 2002.

Please send applications to: 
Martha L. Gray, PhD 
Co-Director, Harvard-MIT Division of
Health Sciences and Technology
Massachusetts Institute of Technology,
E25-510 
77 Massachusetts Avenue 
Cambridge, MA  02139-4307
For more information on HST, please visit

http://hst.mit.edu 
For more information on EECS, please

visit http://www-eecs.mit.edu

Mississippi State University 
Department of Computer Science 
Faculty Positions

The Department of Computer Science
(http://www.cs.msstate.edu) is seeking to fill
several open positions for tenure-track faculty
at the Assistant/Associate Professor levels. A
Ph.D. in computer science or a related field is
required. Areas of particular interest are com-
puter security, graphics and visualization, sci-
entific computing, networking and high
performance computing, software engineering,
and artificial intelligence. Applicants in other
areas are also encouraged. 

The Department of Computer Science 
has 21 faculty positions and offers academic
programs leading to the bachelor’s, master’s
and doctoral degrees in computer science and
a bachelor’s degree in software engineering.
Approximately 270 majors are enrolled in the
undergraduate computer science and software
engineering programs. There are 27 Ph.D. 
students in the doctoral program. Seven new
faculty have been recognized by NSF
CAREER awards. Department research
expenditures total around two million dollars
per year. 

Review of applications will begin July
2002 and continue until position is filled.
Interested individuals should forward their
vitae and names of at least three references to:

Julia Hodges, Head 
Department of Computer Science 
Box 9637 
Mississippi State, MS 39762
Telephone: (662) 325-2756 
Fax: (662) 325-8997 
Email: office@cs.msstate.edu
MSU is an Affirmative Action/Equal

Opportunity Employer. 

North Carolina State University 
Department of Computer Science 
Database Systems and Data Mining 

The North Carolina State University
Department of Computer Science seeks one or
more tenure-track assistant professors in the
area of database systems and/or data mining to
begin August 16, 2003.  Successful candidates
will have a PhD in Computer Science or a
closely related field, and demonstrated poten-
tial to establish a strong research and teaching
program at NCSU.  Candidates are expected
to have both strong experimental and theoreti-
cal interests in the areas of database systems
research and education.  We are seeking candi-
dates who have carried out research in data-
base design and organization, database security,
networked databases, information access and
retrieval, data mining and warehousing, dis-
tributed databases, object-oriented databases,
Web applications or integration, processing or
transactional aspects of information, XML 
and semantic Web technologies, or other
related topics. 

The new faculty members will find a lively
and collegial work environment with many
opportunities for collaboration on campus and
with local industry. The department is in a
period of rapid growth and advancement, and
is aggressively positioning itself to be at the
forefront of selected areas in computer science.
These new positions have been created to fur-
ther strengthen our ongoing activities in such
areas as decision support, online data monitor-
ing, electronic commerce, virtual enterprises,
heterogeneous and object-oriented databases,
machine learning, intelligent data analysis,
multiagent systems, intelligent multimedia, dis-
tributed computing, scientific visualization,
networking, and human interfaces. 

We attract research sponsorship from a
variety of sources, including NSF DARPA,
AFOSR, ONR, NIH, USEPA, NSA, and State
of North Carolina.  Industrial sources include
IBM, SAS, GlaxoSmithKline, Procter &
Gamble, Fujitsu, and Cisco. The candidate will
have access to our state-of-art high perform-
ance ATM-based network, and the North
Carolina Giga-POP and Internet-2 facilities.

NCSU, a Doctoral/Research land-grant
university, is located in Raleigh, a vertex of the
world-renowned Research Triangle, which
boasts a high concentration of high technology
companies and research institutions. The state
of North Carolina is a world center of banking
and finance. The Research Triangle area was
recently recognized as one of the best places to
live in the U.S. In addition to the historical
campus, the department occupies substantial
space on NCSU’s new Centennial Campus, an
innovative colocation of university and indus-
trial labs designed to foster close collaboration.
The State of North Carolina recently passed a
major bond initiative that includes $83 million
for a new engineering campus on Centennial
Campus. A new 90,000 sq. ft. $36 million
Computer Science/ Electrical and Computer
Engineering building is currently in the 
design stage. 

Interested candidates should send their
curriculum vitae and the names of four
references to:

Database Systems Recruitment Committee
Department of Computer Science
North Carolina State University
Raleigh, NC 27695-8206 
Prospective candidates are encouraged to

access the Department’s homepage
(http://www.csc.ncsu.edu/) and to write to
database_search@csc.ncsu.edu if they wish.
NC State is an Equal Opportunity, Affirmative
Action employer. Individuals with disabilities
desiring accommodations in the application
process should contact the Computer Science
Department at NCSU at (919) 515-2858 or
send email to the above address.  

North Carolina State University 
Department of Computer Science 
Operating Systems 

The North Carolina State University
Department of Computer Science seeks one or
more tenure–track assistant professors in the
area of systems to begin August 16, 2003. We
are seeking candidates who have research
experience in the areas of parallel and distrib-
uted systems, operating systems and middle-
ware, real-time and embedded systems,
multimedia computing, mobile wireless
computing and other systems areas. 

Candidates are expected to have both
strong experimental and theoretical interests
in these areas of systems research comple-
mented by an educational interest in operating
systems teaching.  Successful candidates will
have a PhD in Computer Science or a related
field, and demonstrated potential to establish a
strong research and teaching program at
NCSU. These positions have been created to
complement our established research strength
in computer networking and distributed sys-
tems. A number of faculty have an interest in
parallel and distributed systems, embedded and
real-time systems, multimedia networking,
optical networks, security, real-time communi-
cation, quality-of-service, concurrent system
testing, distributed database systems, compilers,
and object-oriented programming.  Their work
is supported by NSF, DARPA, DOE, AFOSR,
Cisco, Ericsson, Fujitsu, IBM, MCNC, Nortel,
NSA, and the State of North Carolina.  

The Department is in a period of rapid
growth and advancement, and is positioning
itself to be at the forefront of selected areas in
computer science.  The candidate(s) will have
access to our Operating Systems cluster, state-
of-art high performance ATM-based network,
and the North Carolina Giga-POP and
Internet-2 facilities as well as the North
Carolina Supercomputing Center. 

In addition to regular tenure-track posi-
tions, candidates in parallel and distributed sys-
tems have the option of a joint appointment
with Oak Ridge National Laboratory, a leading
DOE center with opportunities for research in
large-scale scientific computing. Joint appoint-
ments on a tenure-track position include a
reduced teaching load and additional opportu-
nities for collaboration as well as access to
DOE computing facilities. Interest in a joint
appointment should be explicitly stated in the
application.

The University is located in Raleigh,
which forms one vertex of the world-renowned
Research Triangle Park. The Research Triangle
area was recently recognized as one of the best
place to live in the U.S. It also boasts a high
concentration of high technology companies.
In addition to the historical campus, the
department occupies substantial space on
NCSU’s new Centennial Campus, an innova-
tive co-location of university and industrial
labs designed to foster close collaboration.
The State of North Carolina recently passed a
major bond initiative that includes $83 million
for a new engineering campus on Centennial
Campus. A new 90,000 sq. ft. $36 million
Computer Science/Electrical and Computer
Engineering building is currently in the 
design stage.  

Interested candidates should send their CV
and the names of four references, preferably
prior to January 15, 2003, to:

Operating Systems Recruitment
Committee 
Department of Computer Science
North Carolina State University 
Raleigh, NC 27695-8206
Prospective candidates are encouraged to

access the Department’s homepage
(http://www.csc.ncsu.edu/) and to write via
email if necessary (os_search@csc.ncsu.edu). 

NC State is an Equal Opportunity,
Affirmative Action employer.  Individuals with
disabilities desiring accommodations in the
application process should contact the
Computer Science Department at NCSU at
(919) 515-2858.  

North Carolina State University
Bioinformatics Graduate Program
Faculty Positions

North Carolina State University wishes to
add faculty at all levels to its Bioinformatics
Graduate Program and its Bioinformatics
Research Center (bioinformatics.ncsu.
edu). The program, which now has about 50
students pursuing Masters and Ph.D. degrees
in bioinformatics, enjoys strong support from
the State, NIH, NSF and industry. The
research center is housed in a new facility on
NC State University’s unique multidiscipli-
nary Centennial Campus (centennial.ncsu.
edu), and has long-standing strength in statis-
tics and statistical genetics. 

Faculty are currently sought to enhance
computational aspects of bioinformatics and
other complementary areas broadly construed.
Each appointee will be associated with the

Bioinformatics Research Center and will be
appointed to an academic department or
departments that best suit his or her area of
expertise. Applicants must have a Ph.D. in a
relevant discipline. 

Send letter of application, CV, and the
names of three references to Dr. Raymond E.
Fornes, Chair; Bioinformatics Search
Committee; Campus Box 8209; North
Carolina State University; Raleigh NC 27695-
8209. Review of applications will begin imme-
diately and continue until the positions 
are filled. 

In its commitment to diversity and equity,
North Carolina State University seeks appli-
cations from women, minorities, and persons
with disabilities. AA/EOE. Individuals with
disabilities desiring accommodations in the
application process should contact Ms. Joye
Stephenson at either joye_stephenson@
ncsu.edu, telephone 919-515-7865, or fax 
919-515-7668. 

Old Dominion University
Department of Computer Science
Assistant/Associate Professor

The Department is seeking applications for
a tenure track position at the level of assis-
tant/associate professor. The successful appli-
cant will start in January or August 2003.
Faculty duties include developing a funded
research program, teaching graduate and
undergraduate courses, and supervision of the-
ses. We will consider candidates with back-
grounds and interests in any area of computer
science. The minimum requirement is a PhD
in CS or in a closely related field augmented
by experience as well as the communication
skills needed to be a successful teacher.
Candidates should have strong research record
or have clearly laid the basis for such a record.  

We have the capability of enhancing this
position from our endowment for an excep-
tional candidate with a strong externally
funded ongoing research program. We provide
an environment that encourages and supports
research. Opportunities for collaboration exist
across departments and colleges as well as with
other institutions in the area. NASA Langley,
Thomas Jefferson National Laboratory,
Virginia Modeling and Simulation Center,
Eastern Virginia Medical School, and the
United States Joint Forces Command are less
than an hour from campus. 

Applications should include curriculum
vitae and the names of three references. All
candidates should indicate citizenship and, in
the case of non-US citizens, describe their 
visa status. Send a letter of application,
curriculum vita and contact information for 
3 references to: 

Larry Wilson
Chair of Recruiting
Computer Science Department
Old Dominion University
Norfolk, VA 23529. 
Review of applicants will begin October 1,

2002 and continue until the position is filled. 
Old Dominion University is an equal

opportunity/affirmative action employer and
requires compliance with the Immigration
Reform and Control Act of 1986.

Stanford University
Department of Computer Science 
Faculty Openings

The Computer Science Department of
Stanford University invites applications for
tenure-track faculty positions at both the jun-
ior level (Assistant or untenured Associate
Professor) and senior (tenured Associate or
Full Professor) level.  We are seeking appli-
cants from all areas of Computer Science,
including Foundations, Artificial Intelligence,
Graphics, Databases, Systems, Human
Computer Interaction, and Networking.  The
department also has interest in applicants
doing research at the frontiers of computer
science, for instance biological computing, 
bio-informatics, computation and arts, or 
computational economics.  Higher priority 
will be given to the overall innovation and
promise of the candidate’s work than to any
specific area.

An earned Ph.D., evidence of the ability to
pursue a research program, and a strong com-
mitment to graduate and undergraduate teach-
ing are required.  For senior appointments, we
are searching for strong, energetic and vision-
ary leaders.  Successful candidates will be
expected to teach computer science courses at
the graduate and undergraduate levels and to
build and lead a team of graduate students in
Ph.D. research.  Further information about the
Computer Science Department can be found
at http://cs.stanford.edu.

Applications should include a curriculum
vita, statements of research and teaching inter-
ests and the names of at least four references.
Candidates are requested to ask references to
send their letters directly to our search

committee. The letters should be sent in as
soon as possible, but no later than the applica-
tion deadline.  All materials should be sent to:

Search Committee Chair
c/o Laura Kenny-Carlson
Computer Science Department
Stanford University
Gates 278
Stanford, CA 94305-9025
or via electronic mail to 
search@cs.stanford.edu.
The review of applications will begin on

January 6, 2003, and applicants are strongly
encouraged to submit applications by that date;
however, applications will continue to be
accepted until February 3, 2003. The positions
are available beginning Autumn 2003.  

Stanford University is an equal opportunity
employer and welcomes nominations of
women and minority group members and
applications from them.

Toyota Technological Institute at
Chicago 
Computer Science at TTI-Chicago
Tenure-Track and Tenured Faculty
Positions

Toyota Technological Institute (TTI-
Japan) is founding a new Department of
Computer Science (TTI-Chicago) adjacent to
the University of Chicago campus.
Applications are invited for tenure-track and
tenured faculty positions at all ranks.

TTI-Chicago will have exclusive use of the
interest on a fund of $100 million being set
aside by TTI-Japan for this purpose.  TTI-
Chicago will be dedicated to basic research,
education of doctoral students, and a small
masters program.  Faculty members will receive
continuing research grants and will have a
teaching load of at most one course per year.
TTI-Chicago will have close ties with the
Computer Science Department of the
University of Chicago.

Initial faculty appointments will commence
in autumn 2003, though some appointments
may begin earlier by mutual agreement. The
Department is projected to grow to a steady-
state of thirty faculty by 2007.

Faculty are particularly sought with
research programs in:

Computational geometry 
Databases and data mining 
Human-computer interaction 
Large-scale scientific simulation 
Machine learning 
Networking and distributed computing 
Software and programming systems 
Theoretical computer science
An advisory committee from the

University of Chicago and Argonne National
Laboratory will recruit the founding faculty,
who will then assume leadership to determine
the character of the department.

For more information, contact:
Mr. Frank Inagaki 
Treasurer and Secretary to the Board 
Toyota Technological Institute at Chicago 
e-mail: finagaki@uchicago.edu  

United Arab Emirates University 
College of Information Technology
Dean of the College of Information
Technology

The premier national university in the
United Arab Emirates, United Arab Emirates
University was established in 1976 with a mis-
sion to contribute significantly to the develop-
ment of the country and the realization of the
full potential of its human, economic, and
social resources. Located in Al-Ain, an oasis
city of ancient heritage, the University enrolls
more than 18,000 undergraduates in nine col-
leges and employs more than 600 Ph.D.-hold-
ing faculty and more than 400 master’s-level
instructional staff to teach in undergraduate
and several master’s degree programs.   

The new College of Information
Technology was established in September 2001
with the goal of becoming a world-class college
with a forward-looking and innovative curricu-
lum that is integrated with research and profes-
sional practice.  Its curriculum, planned by a
leading group of U.S. experts in the field of
information technology, is designed to be con-
sistent with the principles of the ACM/IEEE
Curriculum 2001. The College offers the
Bachelor of Science in Information
Technology in seven programs—computer sci-
ence, computer systems engineering, software
engineering, information systems, network
engineering, e-commerce, and information
security—as well as a certificate program in
Educational Technology. Classes are taught in
English. The College expects to double its cur-
rent enrollment of nearly 300 students over
the next two years. As of September 2002, the
College will have twenty-three faculty.

The College seeks an individual of excep-
tional vision and ability to serve as Dean. The
successful candidate will be a leader who will
foster excellence in teaching and research,
innovative interdisciplinary programs, and
strategic partnerships with industry. S/he
should have the requisite organizational and
administrative experience and communications
skills to lead the college in a period of dra-
matic growth, together with a broad under-
standing of the information professions and a
strong track record of academic distinction.
The Dean should warrant appointment as a
full professor through some combination of:  an
earned doctorate; eminence in research and
publication; acknowledged excellence in
teaching; skills in curriculum development;
notable service in relevant professional organi-
zations; successful track record in recruitment
of talented faculty.  Experience with American
higher education is preferred.

Inquiries, nominations, and applications
(including a cover letter, curriculum vitae, and
names of five references) should be directed in
confidence to:

Kim M. Morrisson, Ph.D., Managing
Director or Esther Collet, Vice President,
The Diversified Search Companies, 2005
Market Street, Suite 3300, Philadelphia,
PA 19103.  Tel: 215-656-3579 or 215-656-
3546.  Email:  ecollet@divsearch.com
For additional information, please consult the

United Arab Emirates University website:
http://www.uaeu.ac.ae 

University of Alabama at
Birmingham (UAB)
http://www.cis.uab.edu/ 
Department of Computer and Information
Sciences 
Department Chair Position

Applications and nominations are being
accepted for the position of Department Chair.
Candidates should possess proven leadership
and administrative skills and have an estab-
lished reputation as a scholar.  The Chair will
be expected to provide vigorous leadership in
the development of interdisciplinary collabora-
tion initiatives in bioinformatics with the highly
ranked UAB biomedical research community.

The Department of Computer and
Information Sciences is one of five
departments in the School of Natural Sciences
and Mathematics and administers B.S., M.S.
and Ph.D. degree programs. The department
currently employs nine full-time faculty mem-
bers and a number of adjunct faculty. The
student population includes 476 undergradu-
ate, 63 M.S., and 15 Ph.D. students as of fall
2001. Departmental research strengths include
object-oriented distributed computing, com-
puter graphics, artificial intelligence, geometric
modeling, and bioinformatics. Average
research grant funding in the department is
$242,000 per faculty member.

UAB is an urban university of 16,000 stu-
dents located on a 270-acre campus in down-
town Birmingham, a southeastern center of
medicine, telecommunications and finance,
with a population of more than 900,000.  The
university attracts more than $325 million per
year in federal funding, which ranks it among
the top 20 public institutions in the U.S. in
NIH funding and 29th in total federal R & D
funding. UAB is classified as a Carnegie
Doctoral Research Extensive University. The
UAB Office for the Advancement of
Developing Industries (OADI), a business
incubator, provides entrepreneurship opportu-
nities and is host to a company founded by one
of the department’s recent Ph.D. graduates
who was selected by MIT Technology Review
Magazine as one of the top 100 young
innovators for 2002. 

The successful candidate will be appointed
to a tenured position as Professor within the
Department, with salary at a level commensu-
rate with qualifications and experience. Letters
of application should include a full curriculum
vitae and names and addresses of five refer-
ences. Applications will be accepted until the
position is filled; screening will begin immedi-
ately. Applicants from minority and women
applicants are especially encouraged.

Nominations or applications should be 
sent to:

Chair_search@cis.uab.edu, or 
Department Chair Search Committee 
Department of Computer and Information
Sciences 
University of Alabama at Birmingham 
Birmingham, AL 35294-1170
The University of Alabama at Birmingham

is an equal opportunity/affirmative action
employer.  

University of Arkansas 
Computer Science and Computer
Engineering Department
Full Professor, Acxiom Chair

The University of Arkansas invites applica-
tions and nominations for an Acxiom Chair
position at the Full Professorial level in
Databases, Information Retrieval Systems, and

Software Methodology and Engineering in the
Computer Science & Computer Engineering
(CSCE) Department beginning Fall Semester
2003.  Candidates should possess a record of
demonstrated scholarship, administrative
ability, and academic leadership, evident from
their experiences in the areas of research,
teaching, and professional achievement.
Industry experience is highly desired, with the
candidate able to qualify for the rank of 
full professor.

Applicants should hold an earned doctor-
ate in Computer Engineering, Computer
Science, or Electrical Engineering and should
have demonstrated potential to excel in teach-
ing and research.  Each applicant should pre-
pare a two-page statement describing research
plans as well as the significance and context of
prior research.

Application packages consisting of resume,
research statement, and three references with
complete information are requested.  Submit
applications to Professor & Interim Head A.
Elshabini, CSCE Department, 311 Engineering
Hall, University of Arkansas, Fayetteville,
Arkansas, 72701.

A total of 15 tenure-track faculty positions
and 5 full-time instructor positions exist within
the department. The Computer Engineering
(CENG) and the Computer Science (CSCE)
programs at the University of Arkansas offer
Bachelor of Science in Computer Engineering,
Bachelor of Science in Computer Science,
Master of Science in Computer Systems
Engineering, Master of Science in Engineering,
Master of Science in Computer Science,
Doctor of Philosophy in Engineering, and
Doctor of Philosophy in Computer Science.
The Computer Engineering B.S. degree meets
the ABET 2000 accreditation criteria.
Enrollment in the department is 548 students
(239 CSCE, 309 CENG).  More information
can be found at www.csce.uark.edu.

The University of Arkansas is an Equal
Opportunity/Affirmative Action Employer.  

University of Illinois at Urbana-
Champaign 
Department of Computer Science 
Tenure-Track/Tenured Professors 
http://www.cs.uiuc.edu

The Department of Computer Science,
UIUC, invites applications for full-time,
tenure-track and tenured professors.  All areas
of computer science research will be consid-
ered, including bioinformatics, computational
science, HCI, NLP, and security. 

Tenure-track applicants must have demon-
strated excellence in research; tenured appli-
cants must have recognized national and
international stature.

Computer Science at Illinois is interna-
tionally recognized for its breadth and depth of
research and has strong collaborative relations
with the Beckman Institute for Advanced
Science and the National Center for
Supercomputing Applications (NCSA). The
department is targeted to grow aggressively to
over 60 faculties and will occupy the new
Thomas M. Siebel Center for Computer
Science in 2003, becoming the anchor of a
new IT quadrangle on the UI campus. 

Successful candidates must initiate and
conduct independent research and perform
academic duties associated with our BS, MS,
and PhD programs. Qualifications: PhD in
Computer Science or a closely related field (or
imminent completion of degree), outstanding
academic credentials, and the ability to teach
effectively at both the graduate and undergrad-
uate levels.  Starting date: August 21, 2003.
The salary is open, based on qualifications.

To ensure full consideration, applications
must be received by January 10, 2003. Early
applications are strongly encouraged.
Interviews may take place during the applica-
tion period, but a final decision will not be
made until ad closing.

Applicants should submit an application
letter, curriculum vita and statement of career
objectives (PDF preferred) to:
http://www.cs.uiuc.edu/apply.html. Request at
least three letters of recommendation to be
sent separately to barb@cs.uiuc.edu.  If you or
your recommenders do not have Internet
access, please contact Barbara Armstrong at
barb@cs.uiuc.edu.

The University of Illinois is an Affirmative
Action, Equal Opportunity Employer.  

University of Maryland, 
College Park  
Center for Bioinformatics and
Computational Biology 
Director and Seven Faculty Positions

The University of Maryland invites faculty
applications at the assistant, associate, and full
professor level for the newly established Center
for Bioinformatics and Computational Biology.
The campus has committed resources to recruit
up to eight new faculty in the Center, including

a Director. It is anticipated that the primary
specialization areas of the faculty will collec-
tively span fields of computer science, mathe-
matics and statistics, biology, and biochemistry.
Their primary responsibility will be to lead a
nationally visible research program in selected
areas of computational genomics, proteomics,
molecular evolution and phylogenetics, com-
plementing existing strengths at the University
of Maryland. 

Candidates for the Director position are
expected to be senior researchers with promi-
nent recognition in these areas. All other
applicants are expected to have publications
and research experience beyond the Ph.D.
degree with strong components of biological
science and computing. Experience in
interdisciplinary collaboration is an asset. 

The faculty will be housed in contiguous
space set aside for the Center and will have
access to significant high-end computing infra-
structure through the University of Maryland
Institute for Advanced Computer Studies.
Each faculty member will also be affiliated
with at least one other campus academic unit
appropriate to her/his interests. There is ample
potential for collaboration with other out-
standing bioinformatics research groups nearby,
in organizations such as NIH, Celera, TIGR,
the Maryland Biotechnology Institute, and the
Smithsonian Institution. 

To apply, send a letter of application, cur-
riculum vitae, letters of recommendation, and
URL for additional information to the search
committee, in care of the appropriate depart-
mental representative. See http://www.umi-
acs.umd.edu/centers/bio.htm for more
information about the Center and the
application procedure.

The University of Maryland is an affirma-
tive action, equal opportunity employer.
Women and minorities are encouraged to
apply. Applications completed by November
30, 2002 will receive full consideration.

University of Minnesota – 
Twin Cities
Department of Computer Science and
Engineering 
Faculty Positions  

The Department of Computer Science and
Engineering at the University of Minnesota
invites applications for several open faculty
positions.  These positions are primarily at the
assistant professor level, but highly qualified
applicants at higher ranks will also be consid-
ered. Specialists from all areas of computer
science and engineering are encouraged to
apply.  Requirements include a Ph.D. in com-
puter science, computer engineering, or a
closely related discipline, a commitment to
quality teaching, and the potential for carrying
out outstanding research.  Senior candidates
must possess a distinguished record of teaching,
research, and service.

The research and teaching missions of the
Department encompass a wide range of areas,
including networking and distributed multime-
dia, internet technologies, cryptography and
security, databases, data mining, software engi-
neering, computer architecture, compilers, pro-
gramming languages, artificial intelligence,
robotics and computer vision, computer graph-
ics and visualization, algorithms and complex-
ity theory, geometric computing and
applications, human-computer interaction,
parallel computing, and scientific computing.
Its faculty members, numbering thirty-four,
have access to outstanding computing facilities
both within the Department and at the various
research center on campus, including the
Army High Performance Computing Research
Center, the Minnesota Supercomputing
Institute, and the Institute for Mathematics
and its Applications.  The Department is also a
key player in the recently established Digital
Technology Center at the University.  External
research funding in the department has grown
steadily over the past several years and recently
topped $4.4 Million.  

Additional information about the
Department is available at its World Wide
Web home page:  http://www.cs.umn.edu.  The
Minneapolis-St. Paul area is a major center for
the computer industry and for advanced tech-
nology, and the Department enjoys strong
interactions with local industries.

Applicants should submit a curriculum
vitae, a research summary, and the names of at
least three references to:

Chair, Faculty Recruiting Committee 
Department of Computer Science and
Engineering 
University of Minnesota 4-192 EE/CS
Building 
200 Union Street S.E. 
Minneapolis, MN  55455 
Electronic submissions of applications are

welcome and may be sent via e-mail to appli-
cations@cs.umn.edu.  (Electronic submissions
must be in postscript, PDF or Word formats.)
Review of completed applications will begin

December 1, 2002, but the search will remain
open until all positions are filled.

The University of Minnesota is an equal
opportunity educator and employer.   

University of Rhode Island
Networking & Telecommunications
Services
Director

The Director reports to the Vice Provost
for Information Services/CIO, and is responsi-
ble for the business and technical leadership
for the management of the overall voice, data,
and video communications network and
systems for the University of Rhode Island. 
For additional information about the 
Office of Information Services, please see
http://www.uri.edu/ois/. 

This position oversees the operations and
management of staff in Networking and
Telecommunications Services (NETS).
Bachelor’s degree required, preferably in tech-
nical/engineering or business management
field. Master’s degree preferred. Must demon-
strate an understanding of the role of telecom-
munications and networking in an academic
environment, and have a demonstrated strong
commitment to customer service. Broad and
extensive technical knowledge of voice, data,
and video networking services with at least 6
years of proven technical and managerial
experience required. Leadership skills and a
record of planning, developing, and imple-
menting significant IT projects in a senior
position, preferably in higher education, are
also required. Also required are the following:
budgeting experience; excellent communica-
tions skills; evidence of successful contract
negotiations with multiple technology/
telecommunications vendors; demonstrated
ability to develop and articulate strategic plan
and to enlist staff in implementation of that
plan. 

Visit our website at http://www.uri.edu/
human_resources for a complete job descrip-
tion including qualifications. Review of appli-
cations will begin on September 6, 2002 and
continue until the position is filled. Submit a
resume and cover letter to: 

Christopher W. Wessells
Search Chair, (Req #010044)
UNIVERSITY OF RHODE ISLAND
P.O. Box G
Kingston, RI 02881.
The University of Rhode Island is an

AA/EEO employer and values diversity.

University of Victoria 
Department of Computer Science 
Faculty Positions 

Applications are invited for regular tenure
track positions at the Assistant or Associate
Professor levels or at the rank of Professor in
exceptional circumstances.  

Applicants in all areas of computer science
will be considered, but special areas of interest
are, in descending order of importance,
Distributed Systems/Networks, Software
Engineering, Databases and Computational
Biology.

Full details may be found at:
http://www.csc.uvic.ca/news/career/index.html

University of Washington,
Tacoma 
Institute of Technology 
Faculty Positions in Computing &
Software Systems 

The Computing and Software Systems
Program (CSS) of the University of
Washington, Tacoma is seeking to fill tenure-
track positions at the levels of Assistant
Professor, Associate Professor, and Professor.
The Institute of Technology, recently estab-
lished by the State of Washington and sup-
ported by public and private funds, is the
driving force behind the current expansion in
the CSS Program.  

While our priority is for tenured and
tenure-track appointments, we may consider
candidates for appointment at the non-tenure-
track levels of Lecturer or Senior Lecturer.
Requirements for the tenure-track positions
include a Ph.D. in Computer Science or a
closely related discipline. Requirements for
non-tenure-track positions include at least an
M.S. in Computer Science or a closely related
discipline. All appointments require a strong
commitment to quality teaching. Tenure track
positions also require continuing research.
Associate Professor and Professor candidates
must have a record of published research in
computing. Non-tenure-track appointments
are renewable.

Our recruiting emphasis is on software
engineering, computer engineering, security,
informatics, networks, database systems, and
enterprise applications, but we will consider
strong candidates in all areas of computing. 

(cont'd)



COMPUTING RESEARCH NEWS September 2002

Page 12

COMPUTING RESEARCH NEWS

Vol. 14/No. 4

Computing Research News
(ISSN 1069-384X) is published five times per year, in January, March, May,
September, and November. Copyright 2002 by the Computing Research
Association (CRA), 1100 Seventeenth Street, NW, Suite 507, Washington, DC
20036-4632; tel. 202-234-2111. All rights reserved. Material in CRN is not
endorsed by CRA nor intended to reflect any official positions of CRA or its board.

Subscriptions: Call 202-234-2111, send e-mail to crn@cra.org, or mail subscription
inquiries to CRA, 1100 Seventeenth Street, NW, Suite 507, Washington, DC
20036-4632. A free subscription is available to qualified subscribers. One-year paid
subscriptions are $30 in the United States, $45 (U.S.) in Canada, and $54 (U.S.)
elsewhere.

Change of Address: Note that a change of address must include the old and new
addresses with ZIP+4 if available. Please include a street address or PO Box.

Postmaster: Send address changes to:  CRA, 1100 Seventeenth Street, NW, 
Suite 507, Washington, DC 20036-4632. Postage paid at Washington, DC.

CRA Communications Committee
Jan Cuny (University of Oregon), Chair
Mary Lou Soffa (University of Pittsburgh), Co-chair and CRN Senior Editorial
Advisor
Timothy Finin (University of Maryland, Baltimore Co.)
Frank Tompa (University of Waterloo)

Computing Research Association Staff
Andrew Bernat, Executive Director
Peter Harsha, Director of Government Affairs
Dana Neill, Business Manager
Jean Smith, Sr. Communications Associate and CRN Editor
Jay Vegso, Manager of Membership and Information Services
Donnajean Ward, Director of Programs

Transitions/Appointments
Frances E. Allen has recently retired as a research fellow at IBM’s Thomas J.

Watson Laboratory after an impressive career spanning 45 years. Dr. Allen first
joined IBM in 1957, and in 1989 was the first woman chosen as an IBM Fellow.
She served as a CRA board member from 1994 to 2000.

Ronald J. Brachman has been appointed the Director of the Information
Processing Technology Office at DARPA. Dr. Brachman was formerly the
Communications Services Research Vice President at AT&T Laboratories.

CRA board member, Doris Carver, Louisiana State University, has 
been appointed Associate Vice Chancellor of the Office of Research and
Graduate Studies. 

We congratulate CRA board member, Lori Clarke, Professor of Computer
Science at the University of Massachusetts, Amherst, who has been awarded
the 2002 ACM SIGSOFT Distinguished Service Award.

USENIX has appointed Michael B. Jones as its representative on the CRA
board of directors. Michael is a researcher in the Systems and Networking
Research Group at Microsoft Research, and currently serves as Vice President
of the USENIX board.

The computing research community mourns the recent deaths of three
prominent computer scientists. 

John Cocke, who was with the IBM Research Division from 1956 to 1992,
is remembered for his influence in a number of areas of computer science. 

Samuel D. Conte has been credited with heading one of the country’s first
departments of computer science in1962 at Purdue University, where he
taught until 1993. 

Edsger Dijkstra, who retired from the University of Texas in 1999 after a
long career, died on August 7. He was a native of the Netherlands, and received
his doctorate in computer science from the University of Amsterdam. 

New Reports
Making the Nation Safer: The Role of Science and Technology in Countering

Terrorism, Committee on Science and Technology for Countering Terrorism,
National Research Council (National Academy Press forthcoming; prepublica-
tion available). See: http://www.nap.edu/catalog/10415.html

Information Technology Research, Innovation, and E-Government, Computer
Science and Telecommunications Board, Committee on Computing and
Communications Research to Enable Better Use of Information Technology in
Government, National Research Council (National Academy Press, 2002).
See: http://www.nap.edu/catalog/10355.html

The Tacoma campus of the University of
Washington, in its twelfth year of operation, is
located thirty-five miles south of Seattle in
Tacoma’s historic warehouse district. Faculty
and students at the University of Washington,
Tacoma, while working within a smaller dis-
tinctive institution experiencing rapid growth,
benefit as well from the many resources of the
Seattle and Bothell campuses of the
University of Washington. The CSS program
has close ties to the UW-Seattle Department
of Computer Science & Engineering.

Candidates are invited to submit their
applications electronically to Trish Fiacchi,
Finance and Administration, at:
tfiacchi@u.washington.edu

Applications should include a curriculum
vitae, evidence/discussion of teaching experi-
ence/effectiveness, research interests and
agenda, and three letters of reference.
Applications may also be submitted by mail
to:

University of Washington, Tacoma 
Finance and Administration 
Computing and Software Systems Faculty
Search
Box 358431
1900 Commerce Street
Tacoma, WA 98402-3100
Screening of credentials will begin

October 15 and all positions will remain open
until filled. Salary is competitive and will be
commensurate with experience and qualifica-
tions.

Inquiries can be sent to: 
lcrum@u.washington.edu

The University of Washington, an affirma-
tive action/equal opportunity employer, is

building a culturally diverse and pluralistic
faculty and strongly encourages application
from women and minority candidates. Further
information on the University of Washington,
Tacoma may be found at:

www.tacoma.washington.edu
Tel: (253) 692-5860
Fax: (253) 692-4424

U.S. Army Medical Research and
Materiel Command
Telemedicine and Advanced Technology
Research Center 
Postdoctoral Research Awards
(Bioinformatics)

Postdoctoral positions are available in our
Bioinformatics Group for applicants with a
Ph.D. in computer science, mathematics, sta-
tistics or related discipline interested in pursu-
ing research in machine learning, data mining,
data analysis and database systems.  

The Group’s focus is on the development
of computational tools to provide insight and
analysis of genomics and proteomics data and
to support biomedical research. The positions
are offered through the National Academy of
Sciences/National Research Council for
research to be performed at the Army’s
Telemedicine and Advanced Technology
Research Center, Frederick, MD, U.S.A.  

To apply send resume (describing expertise
and research interests) to: 

Jaques Reifman, Ph.D. 
MCMR-AT 
540 Scott Street 
Fort Detrick, MD 21702 
reifman@tatrc.org 
301-619-7915

Professional Opportunities

(l to r) Jim Foley (CRA board chair), Ed Lazowska (University of
Washington), Dave Patterson (UC Berkeley), and Andy van Dam (Brown
University and CRA Distinguished Service Award winner) at Snowbird.

Anita Jones, University of Virginia, chair of CRA’s Grand
Challenges Conference, and Tony Hoare, member of the UKCRC
Grand Challenges Working Party, pictured at the Airlie conference
in June.
(l to r) Steve White (IBM), Seth Goldstein (Carnegie Mellon), and Len
Kleinrock (UCLA) huddle at the Grand Challenges Conference at Airlie
House in June.


